curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets/{dataset_id}/test-cases/{test_case_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"output": null,
"output_message": {
"content": [
{
"text": "<string>",
"type": "text"
}
],
"role": "user"
},
"metadata": null,
"media_inputs": null,
"history": null
}Retrieve a specific test case (dataset row) by ID. Use to inspect test case details or debug test run results.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets/{dataset_id}/test-cases/{test_case_id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"output": null,
"output_message": {
"content": [
{
"text": "<string>",
"type": "text"
}
],
"role": "user"
},
"metadata": null,
"media_inputs": null,
"history": null
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PromptTestCaseResponse(test_case: shared.sqlalchemy.models.TestCase, media_inputs: Optional[dict[str, server.project_sessions.types.MediaInputBase64]])
Show child attributes
Show child attributes
Show child attributes
Show child attributes